Net::DNS::RR::RT(3)

NAME
Net::DNS::RR::RT - DNS RT resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name RT preference intermediate');

DESCRIPTION
Class for DNS Route Through (RT) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  preference
    $preference = $rr->preference;
    $rr->preference( $preference );

 A 16 bit integer representing the preference of the route.
Smaller numbers indicate more preferred routes.

  intermediate
    $intermediate = $rr->intermediate;
    $rr->intermediate( $intermediate );

The domain name of a host which will serve as an intermediate in reaching the host specified by the owner name. The DNS RRs associated with the intermediate host are expected to include at least one A, X25, or ISDN record.

COPYRIGHT
Copyright (c)1997-2002 Michael Fuhr.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1183 Section 3.3